## ocaml-gen 0.5

=== Makefile ===
# OASIS_START
# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all:
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean:
	$(SETUP) -clean $(CLEANFLAGS)

distclean:
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

configure:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

push_doc: all doc
	rsync -tavu gen.docdir/* cedeela.fr:~/simon/root/software/gen/

qtest-gen:
	mkdir -p qtest
	qtest extract src/gen.ml > qtest/run_qtest.ml || true

test-all:
	./run_qtest.native

VERSION=$(shell awk '/^Version:/ {print $$2}' _oasis)

update_next_tag:
	@echo "update version to $(VERSION)..."
	find -name '*.ml' -or -name '*.mli' | xargs sed -i "s/NEXT_VERSION/$(VERSION)/g"
	find -name '*.ml' -or -name '*.mli' | xargs sed -i "s/NEXT_RELEASE/$(VERSION)/g"

watch:
	while find src/ bench/ -print0 | xargs -0 inotifywait -e delete_self -e modify ; do \
		echo "============ at `date` ==========" ; \
		make ; \
	done

.PHONY: update_next_tag release

=== debian/changelog ===
ocaml-gen (0.5-1) unstable; urgency=low

  * New upstream release.
    + Fix compatibility with OCaml 4.06.
  * Bump Standards-Version to 4.1.1 (no changes).

 -- Andy Li <andy@onthewings.net>  Mon, 06 Nov 2017 15:05:55 +0800

ocaml-gen (0.4.0.1-2) unstable; urgency=low

  * Mark *.a files as optional install items to support architectures lacking
    ocamlopt (Closes: #873781).
  * Depends on ocamlbuild, which is split out of ocaml since ocaml 4.05
    (Closes: #876530).
  * Bump Standards-Version to 4.1.0 (no changes).

 -- Andy Li <andy@onthewings.net>  Mon, 25 Sep 2017 10:25:17 +0800

ocaml-gen (0.4.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #865072)

 -- Andy Li <andy@onthewings.net>  Thu, 22 Jun 2017 23:59:00 +0800

=== debian/control ===
Source: ocaml-gen
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Andy Li <andy@onthewings.net>
Standards-Version: 4.1.1
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 4.02.1),
 ocamlbuild,
 ocaml-findlib,
 dh-ocaml
Homepage: https://github.com/c-cube/gen
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-gen.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-gen.git

Package: libgen-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: simple, efficient iterators for OCaml (Runtime library)
 Iterators for OCaml, both restartable and consumable.
 The implementation keeps a good balance between simplicity
 and performance.

Package: libgen-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: simple, efficient iterators for OCaml (Development package)
 Iterators for OCaml, both restartable and consumable.
 The implementation keeps a good balance between simplicity
 and performance.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	./configure --destdir '$(DESTDIR)' --prefix /usr --docdir /usr/share/doc/libgen-ocaml-dev

override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	dh_auto_install

override_dh_install:
	dh_install --fail-missing

## ocaml-gen 0.5.2

=== debian/changelog ===
ocaml-gen (0.5.2-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:30:03 +0000

ocaml-gen (0.5.2-2) unstable; urgency=medium

  * Disable test for armhf.

 -- Andy Li <andy@onthewings.net>  Mon, 11 Nov 2019 14:37:57 +0800

ocaml-gen (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* to salsa.
  * Add autopkgtests.
  * Bump Standards-Version to 4.4.1 (no changes).

 -- Andy Li <andy@onthewings.net>  Sat, 09 Nov 2019 18:09:46 +0800

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: ocaml-gen
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.1.1
+Standards-Version: 4.4.1
 Build-Depends:
  debhelper (>= 9),
  ocaml-nox (>= 4.02.1),
- ocamlbuild,
  ocaml-findlib,
+ dune,
+ ocaml-qtest,
+ libqtest-ocaml-dev,
+ libqcheck-ocaml-dev,
  dh-ocaml
 Homepage: https://github.com/c-cube/gen
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-gen.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-gen.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-gen
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-gen.git
 
 Package: libgen-ocaml
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_build:
	dune build @install -p gen --verbose

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose

# disable test for armhf
# https://github.com/ocaml/dune/issues/2527
override_dh_auto_test:
ifneq (armhf,$(DEB_TARGET_ARCH))
	dune build @runtest -p gen --no-buffer --force --verbose
endif

override_dh_install:
	dh_install --fail-missing

=== debian/tests/control ===
Test-Command: ocamlfind query gen
Depends: ocaml-nox, ocaml-findlib, @

=== debian/watch ===
version=3
https://github.com/c-cube/gen/releases .*/archive/(\d\S*)\.tar\.gz

## ocaml-gen 0.5.3

=== Makefile ===

all: build test

build:
	@dune build @install

test:
	@dune runtest --no-buffer --force

clean:
	@dune clean

doc:
	@dune build @doc

VERSION=$(shell awk '/^version:/ {print $$2}' gen.opam)

update_next_tag:
	@echo "update version to $(VERSION)..."
	find -name '*.ml' -or -name '*.mli' | xargs sed -i "s/NEXT_VERSION/$(VERSION)/g"
	find -name '*.ml' -or -name '*.mli' | xargs sed -i "s/NEXT_RELEASE/$(VERSION)/g"

watch:
	while find src/ bench/ -print0 | xargs -0 inotifywait -e delete_self -e modify ; do \
		echo "============ at `date` ==========" ; \
		make ; \
	done

.PHONY: update_next_tag release

=== debian/changelog ===
ocaml-gen (0.5.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Aug 2020 09:17:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: ocaml-gen
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  ocaml-nox (>= 4.02.1),
  ocaml-findlib,
- dune,
+ ocaml-dune,
+ libdune-ocaml-dev,
  ocaml-qtest,
  libqtest-ocaml-dev,
  libqcheck-ocaml-dev,

=== debian/rules ===
--- 
+++ 
@@ -22,5 +22,4 @@
 	dune build @runtest -p gen --no-buffer --force --verbose
 endif
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_dwz:

## ocaml-gen 1.0

=== debian/changelog ===
ocaml-gen (1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Mar 2022 15:49:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox (>= 4.02.1),
+ ocaml,
  ocaml-findlib,
  ocaml-dune,
  libdune-ocaml-dev,

=== debian/watch ===
version=4
https://github.com/c-cube/gen/releases .*/v?([\d\.]+)\.tar\.gz

## ocaml-gen 1.1

=== Makefile ===
--- 
+++ 
@@ -20,10 +20,8 @@
 	find -name '*.ml' -or -name '*.mli' | xargs sed -i "s/NEXT_VERSION/$(VERSION)/g"
 	find -name '*.ml' -or -name '*.mli' | xargs sed -i "s/NEXT_RELEASE/$(VERSION)/g"
 
+WATCH?=@all
 watch:
-	while find src/ bench/ -print0 | xargs -0 inotifywait -e delete_self -e modify ; do \
-		echo "============ at `date` ==========" ; \
-		make ; \
-	done
+	@dune build $(WATCH) -w
 
-.PHONY: update_next_tag release
+.PHONY: update_next_tag

=== qtest/Makefile ===

QTEST_PREAMBLE=' '
DONTTEST=../src/mkflags.ml ../src/mkshims.ml
QTESTABLE=$(filter-out $(DONTTEST), \
	$(wildcard ../src/*.ml) \
	$(wildcard ../src/*.mli) \
	)

qtest-gen:
	@rm run_qtest.ml 2>/dev/null || true
	@if which qtest > /dev/null ; then \
		qtest extract -o run_qtest.ml \
			$(QTESTABLE) 2> /dev/null ; \
	else touch run_qtest.ml ; \
	fi

.PHONY: qtest-gen

=== debian/changelog ===
ocaml-gen (1.1-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 15:54:19 +0100

ocaml-gen (1.1-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 17:33:01 +0100

ocaml-gen (1.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2023 08:00:36 +0200

ocaml-gen (1.0-2) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 07:15:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  ocaml,
  ocaml-findlib,
  ocaml-dune,
- libdune-ocaml-dev,
  ocaml-qtest,
  libqtest-ocaml-dev,
  libqcheck-ocaml-dev,
- dh-ocaml
+ dh-ocaml (>= 1.2)
 Homepage: https://github.com/c-cube/gen
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-gen
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-gen.git

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/c-cube/gen/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
